Index: /framework_symfony/PSPA/HelloBundle/Controller/DefaultController.php
===================================================================
--- /framework_symfony/PSPA/HelloBundle/Controller/DefaultController.php	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/Controller/DefaultController.php	(revision 6)
@@ -0,0 +1,15 @@
+<?php
+
+namespace PSPA\HelloBundle\Controller;
+
+use Symfony\Bundle\FrameworkBundle\Controller\Controller;
+
+
+class DefaultController extends Controller
+{
+    
+    public function indexAction($nom)
+    {
+        return $this->render('PSPAHelloBundle:Default:index.html.twig', array('nom' => $nom));
+    }
+}
Index: /framework_symfony/PSPA/HelloBundle/DependencyInjection/Configuration.php
===================================================================
--- /framework_symfony/PSPA/HelloBundle/DependencyInjection/Configuration.php	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/DependencyInjection/Configuration.php	(revision 6)
@@ -0,0 +1,29 @@
+<?php
+
+namespace PSPA\HelloBundle\DependencyInjection;
+
+use Symfony\Component\Config\Definition\Builder\TreeBuilder;
+use Symfony\Component\Config\Definition\ConfigurationInterface;
+
+/**
+ * This is the class that validates and merges configuration from your app/config files
+ *
+ * To learn more see {@link http://symfony.com/doc/current/cookbook/bundles/extension.html#cookbook-bundles-extension-config-class}
+ */
+class Configuration implements ConfigurationInterface
+{
+    /**
+     * {@inheritDoc}
+     */
+    public function getConfigTreeBuilder()
+    {
+        $treeBuilder = new TreeBuilder();
+        $rootNode = $treeBuilder->root('pspa_hello');
+
+        // Here you should define the parameters that are allowed to
+        // configure your bundle. See the documentation linked above for
+        // more information on that topic.
+
+        return $treeBuilder;
+    }
+}
Index: /framework_symfony/PSPA/HelloBundle/DependencyInjection/PSPAHelloExtension.php
===================================================================
--- /framework_symfony/PSPA/HelloBundle/DependencyInjection/PSPAHelloExtension.php	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/DependencyInjection/PSPAHelloExtension.php	(revision 6)
@@ -0,0 +1,28 @@
+<?php
+
+namespace PSPA\HelloBundle\DependencyInjection;
+
+use Symfony\Component\DependencyInjection\ContainerBuilder;
+use Symfony\Component\Config\FileLocator;
+use Symfony\Component\HttpKernel\DependencyInjection\Extension;
+use Symfony\Component\DependencyInjection\Loader;
+
+/**
+ * This is the class that loads and manages your bundle configuration
+ *
+ * To learn more see {@link http://symfony.com/doc/current/cookbook/bundles/extension.html}
+ */
+class PSPAHelloExtension extends Extension
+{
+    /**
+     * {@inheritDoc}
+     */
+    public function load(array $configs, ContainerBuilder $container)
+    {
+        $configuration = new Configuration();
+        $config = $this->processConfiguration($configuration, $configs);
+
+        $loader = new Loader\YamlFileLoader($container, new FileLocator(__DIR__.'/../Resources/config'));
+        $loader->load('services.yml');
+    }
+}
Index: /framework_symfony/PSPA/HelloBundle/PSPAHelloBundle.php
===================================================================
--- /framework_symfony/PSPA/HelloBundle/PSPAHelloBundle.php	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/PSPAHelloBundle.php	(revision 6)
@@ -0,0 +1,9 @@
+<?php
+
+namespace PSPA\HelloBundle;
+
+use Symfony\Component\HttpKernel\Bundle\Bundle;
+
+class PSPAHelloBundle extends Bundle
+{
+}
Index: /framework_symfony/PSPA/HelloBundle/Resources/config/routing.yml
===================================================================
--- /framework_symfony/PSPA/HelloBundle/Resources/config/routing.yml	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/Resources/config/routing.yml	(revision 6)
@@ -0,0 +1,3 @@
+PSPAHelloBundle_homepage:
+    pattern:  /bonjour/{nom}
+    defaults: { _controller: PSPAHelloBundle:Default:index }
Index: /framework_symfony/PSPA/HelloBundle/Resources/config/services.yml
===================================================================
--- /framework_symfony/PSPA/HelloBundle/Resources/config/services.yml	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/Resources/config/services.yml	(revision 6)
@@ -0,0 +1,7 @@
+parameters:
+#    pspa_hello.example.class: PSPA\HelloBundle\Example
+
+services:
+#    pspa_hello.example:
+#        class: %pspa_hello.example.class%
+#        arguments: [@service_id, "plain_value", %parameter%]
Index: /framework_symfony/PSPA/HelloBundle/Resources/translations/messages.fr.xliff
===================================================================
--- /framework_symfony/PSPA/HelloBundle/Resources/translations/messages.fr.xliff	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/Resources/translations/messages.fr.xliff	(revision 6)
@@ -0,0 +1,11 @@
+<?xml version="1.0"?>
+<xliff version="1.2" xmlns="urn:oasis:names:tc:xliff:document:1.2">
+    <file source-language="en" datatype="plaintext" original="file.ext">
+        <body>
+            <trans-unit id="1">
+                <source>Symfony2 is great</source>
+                <target>J'aime Symfony2</target>
+            </trans-unit>
+        </body>
+    </file>
+</xliff>
Index: /framework_symfony/PSPA/HelloBundle/Resources/views/Default/index.html.twig
===================================================================
--- /framework_symfony/PSPA/HelloBundle/Resources/views/Default/index.html.twig	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/Resources/views/Default/index.html.twig	(revision 6)
@@ -0,0 +1,12 @@
+{# src/Acme/HelloBundle/Resources/views/Hello/index.html.twig #}
+
+{% extends '::base.html.twig' %}
+
+{% block title %}
+PSPA Hello world
+{% endblock %}
+
+{% block body %}
+   Bonjour Mr <i>{{ nom }}</i>! ...
+{% endblock %}
+
Index: /framework_symfony/PSPA/HelloBundle/Tests/Controller/DefaultControllerTest.php
===================================================================
--- /framework_symfony/PSPA/HelloBundle/Tests/Controller/DefaultControllerTest.php	(revision 6)
+++ /framework_symfony/PSPA/HelloBundle/Tests/Controller/DefaultControllerTest.php	(revision 6)
@@ -0,0 +1,17 @@
+<?php
+
+namespace PSPA\HelloBundle\Tests\Controller;
+
+use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;
+
+class DefaultControllerTest extends WebTestCase
+{
+    public function testIndex()
+    {
+        $client = static::createClient();
+
+        $crawler = $client->request('GET', '/hello/Fabien');
+
+        $this->assertTrue($crawler->filter('html:contains("Hello Fabien")')->count() > 0);
+    }
+}
Index: /framework_symfony/PSPA/TransportBundle/Controller/DefaultController.php
===================================================================
--- /framework_symfony/PSPA/TransportBundle/Controller/DefaultController.php	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/Controller/DefaultController.php	(revision 6)
@@ -0,0 +1,20 @@
+<?php
+
+namespace PSPA\TransportBundle\Controller;
+
+use Symfony\Bundle\FrameworkBundle\Controller\Controller;
+use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
+use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
+use PSPA\TransportBundle\Entity\Transport;
+
+class DefaultController extends Controller
+{
+    /**
+     * @Route("/hello/{name}")
+     * @Template()
+     */
+    public function indexAction($name)
+    {
+        return array('name' => $name);
+    }
+}
Index: /framework_symfony/PSPA/TransportBundle/DependencyInjection/Configuration.php
===================================================================
--- /framework_symfony/PSPA/TransportBundle/DependencyInjection/Configuration.php	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/DependencyInjection/Configuration.php	(revision 6)
@@ -0,0 +1,29 @@
+<?php
+
+namespace PSPA\TransportBundle\DependencyInjection;
+
+use Symfony\Component\Config\Definition\Builder\TreeBuilder;
+use Symfony\Component\Config\Definition\ConfigurationInterface;
+
+/**
+ * This is the class that validates and merges configuration from your app/config files
+ *
+ * To learn more see {@link http://symfony.com/doc/current/cookbook/bundles/extension.html#cookbook-bundles-extension-config-class}
+ */
+class Configuration implements ConfigurationInterface
+{
+    /**
+     * {@inheritDoc}
+     */
+    public function getConfigTreeBuilder()
+    {
+        $treeBuilder = new TreeBuilder();
+        $rootNode = $treeBuilder->root('pspa_transport');
+
+        // Here you should define the parameters that are allowed to
+        // configure your bundle. See the documentation linked above for
+        // more information on that topic.
+
+        return $treeBuilder;
+    }
+}
Index: /framework_symfony/PSPA/TransportBundle/DependencyInjection/PSPATransportExtension.php
===================================================================
--- /framework_symfony/PSPA/TransportBundle/DependencyInjection/PSPATransportExtension.php	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/DependencyInjection/PSPATransportExtension.php	(revision 6)
@@ -0,0 +1,28 @@
+<?php
+
+namespace PSPA\TransportBundle\DependencyInjection;
+
+use Symfony\Component\DependencyInjection\ContainerBuilder;
+use Symfony\Component\Config\FileLocator;
+use Symfony\Component\HttpKernel\DependencyInjection\Extension;
+use Symfony\Component\DependencyInjection\Loader;
+
+/**
+ * This is the class that loads and manages your bundle configuration
+ *
+ * To learn more see {@link http://symfony.com/doc/current/cookbook/bundles/extension.html}
+ */
+class PSPATransportExtension extends Extension
+{
+    /**
+     * {@inheritDoc}
+     */
+    public function load(array $configs, ContainerBuilder $container)
+    {
+        $configuration = new Configuration();
+        $config = $this->processConfiguration($configuration, $configs);
+
+        $loader = new Loader\XmlFileLoader($container, new FileLocator(__DIR__.'/../Resources/config'));
+        $loader->load('services.xml');
+    }
+}
Index: /framework_symfony/PSPA/TransportBundle/Entity/Transport.php
===================================================================
--- /framework_symfony/PSPA/TransportBundle/Entity/Transport.php	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/Entity/Transport.php	(revision 6)
@@ -0,0 +1,9 @@
+<?php
+
+// PSPA/TransportBundle/Entity/Transport.php
+namespace PSPA\TransportBundle\Entity;
+
+class Transport
+{
+}
+
Index: /framework_symfony/PSPA/TransportBundle/PSPATransportBundle.php
===================================================================
--- /framework_symfony/PSPA/TransportBundle/PSPATransportBundle.php	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/PSPATransportBundle.php	(revision 6)
@@ -0,0 +1,9 @@
+<?php
+
+namespace PSPA\TransportBundle;
+
+use Symfony\Component\HttpKernel\Bundle\Bundle;
+
+class PSPATransportBundle extends Bundle
+{
+}
Index: /framework_symfony/PSPA/TransportBundle/Resources/config/services.xml
===================================================================
--- /framework_symfony/PSPA/TransportBundle/Resources/config/services.xml	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/Resources/config/services.xml	(revision 6)
@@ -0,0 +1,20 @@
+<?xml version="1.0" ?>
+
+<container xmlns="http://symfony.com/schema/dic/services"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://symfony.com/schema/dic/services http://symfony.com/schema/dic/services/services-1.0.xsd">
+
+    <!--
+    <parameters>
+        <parameter key="pspa_transport.example.class">PSPA\TransportBundle\Example</parameter>
+    </parameters>
+
+    <services>
+        <service id="pspa_transport.example" class="%pspa_transport.example.class%">
+            <argument type="service" id="service_id" />
+            <argument>plain_value</argument>
+            <argument>%parameter_name%</argument>
+        </service>
+    </services>
+    -->
+</container>
Index: /framework_symfony/PSPA/TransportBundle/Resources/translations/messages.fr.xliff
===================================================================
--- /framework_symfony/PSPA/TransportBundle/Resources/translations/messages.fr.xliff	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/Resources/translations/messages.fr.xliff	(revision 6)
@@ -0,0 +1,11 @@
+<?xml version="1.0"?>
+<xliff version="1.2" xmlns="urn:oasis:names:tc:xliff:document:1.2">
+    <file source-language="en" datatype="plaintext" original="file.ext">
+        <body>
+            <trans-unit id="1">
+                <source>Symfony2 is great</source>
+                <target>J'aime Symfony2</target>
+            </trans-unit>
+        </body>
+    </file>
+</xliff>
Index: /framework_symfony/PSPA/TransportBundle/Resources/views/Default/index.html.twig
===================================================================
--- /framework_symfony/PSPA/TransportBundle/Resources/views/Default/index.html.twig	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/Resources/views/Default/index.html.twig	(revision 6)
@@ -0,0 +1,1 @@
+Hello {{ name }}!
Index: /framework_symfony/PSPA/TransportBundle/Tests/Controller/DefaultControllerTest.php
===================================================================
--- /framework_symfony/PSPA/TransportBundle/Tests/Controller/DefaultControllerTest.php	(revision 6)
+++ /framework_symfony/PSPA/TransportBundle/Tests/Controller/DefaultControllerTest.php	(revision 6)
@@ -0,0 +1,17 @@
+<?php
+
+namespace PSPA\TransportBundle\Tests\Controller;
+
+use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;
+
+class DefaultControllerTest extends WebTestCase
+{
+    public function testIndex()
+    {
+        $client = static::createClient();
+
+        $crawler = $client->request('GET', '/hello/Fabien');
+
+        $this->assertTrue($crawler->filter('html:contains("Hello Fabien")')->count() > 0);
+    }
+}