Index: /Interface_Web/trunk/pspaWT/include/GWt_pspaApplication.h
===================================================================
--- /Interface_Web/trunk/pspaWT/include/GWt_pspaApplication.h	(revision 101)
+++ /Interface_Web/trunk/pspaWT/include/GWt_pspaApplication.h	(revision 102)
@@ -44,4 +44,5 @@
   WPushButton *exec_go_;
 
+  WText* probleme_;
 
   list<GWt_sectionToExecute*> selectedSections_;
Index: /Interface_Web/trunk/pspaWT/include/abstractElement.h
===================================================================
--- /Interface_Web/trunk/pspaWT/include/abstractElement.h	(revision 101)
+++ /Interface_Web/trunk/pspaWT/include/abstractElement.h	(revision 102)
@@ -16,4 +16,7 @@
 
  protected:
+
+  bool parmelaOk_;
+  bool transportOk_;
 
   int nbParam_;
@@ -52,4 +55,6 @@
     lenghtElem_ = defaultLength_;
     aperture_ = defaultAperture_;
+    parmelaOk_ = false;
+    transportOk_ = false;
   }
 
@@ -105,4 +110,7 @@
  int getNbParams() const {return nbParam_;};
 
+ bool is_parmela_element() const {return parmelaOk_;};
+ bool is_transport_element() const {return transportOk_;};
+
  virtual string* getParametersString() const = 0;
 
Index: /Interface_Web/trunk/pspaWT/src/GWt_pspaApplication.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/src/GWt_pspaApplication.cc	(revision 101)
+++ /Interface_Web/trunk/pspaWT/src/GWt_pspaApplication.cc	(revision 102)
@@ -90,16 +90,6 @@
 
   WContainerWidget* executeW =new WContainerWidget();
-
-
-  //   WVBoxLayout* executeLayout = new WVBoxLayout();
-
-  //  executeW->decorationStyle().setBackgroundColor (WColor("yellow"));
   executeW->setMaximumSize(600,150);
   executeW->setMinimumSize(600,150);
-
-  
-
-
-    //    executeLayout->addWidget(boutonGo);
 
   // bouton execute
@@ -120,4 +110,8 @@
   exec_ok->clicked().connect(this, &PspaApplication::checkSectionSelection);
 
+  // signal de probleme
+  probleme_ = new WText("y a un probleme");
+  probleme_->decorationStyle().setBackgroundColor (WColor("red"));
+  probleme_->setHidden(true);
 
   // le panel 
@@ -131,4 +125,5 @@
   contenuSections_->addWidget( exec_ok);
     contenuSections_->addWidget(exec_go_);
+    contenuSections_->addWidget(probleme_);
   contenuSections_->addWidget(new WBreak());
   contenuSections_->addWidget(new WBreak());
@@ -416,4 +411,13 @@
 	else if ( prog == nomDeLogiciel::transport ) 
 	  {
+
+	    if ( !dtmanage_->getCurrentBeam().momentRepresentationOk() )
+	      {		
+		addConsoleMessage(" the beam is not OK for transport");
+		probleme_->setHidden(false);
+		return;
+	      }
+
+
 	    resul = dtmanage_->executeTransport( debut, fin);
 	    faireDessinTransport();
Index: /Interface_Web/trunk/pspaWT/src/dataManager.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/src/dataManager.cc	(revision 101)
+++ /Interface_Web/trunk/pspaWT/src/dataManager.cc	(revision 102)
@@ -116,4 +116,5 @@
 
   createInputFileParmela(indexDeb, indexFin);
+
   ostringstream sortie;
   sortie << " EXECUTION DE PARMELA DE l'ELEMENT " << indexDeb << " A L'ELEMENT " << indexFin << endl;
@@ -154,13 +155,5 @@
     {
 
-      // if ( currentBeam_.particleRepresentationOk() )
-      // 	{
-      // 	  currentBeam_.buildMomentRepresentation();
-      // 	}
-      // else
-      // 	{
 	  cerr << " dataManager::createInputFileTransport : the beam is not OK " << endl;
-	  return;
-	  //	}
     }
   indexDeb--;
@@ -213,4 +206,8 @@
   indexDeb--;
   indexFin--;
+
+ 
+
+
   ofstream outfile;
   string name = WORKINGAREA + "/parmin";
@@ -258,8 +255,16 @@
 }
 
-  void dataManager::initializeExecution()
-  {
-    currentBeam_.clear();
-  }
+void dataManager::initializeExecution()
+{
+  ifstream testParmdesz;
+  string parmdesz = WORKINGAREA + "/parmdesz";
+  testParmdesz.open(parmdesz.c_str(), ios::in);
+  if (testParmdesz)
+    {
+      testParmdesz.close();
+      remove(parmdesz.c_str());
+    }
+  currentBeam_.clear();
+}
 
   // string dataManager::executeAll()
Index: /Interface_Web/trunk/pspaWT/src/elementInitialBeam.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/src/elementInitialBeam.cc	(revision 101)
+++ /Interface_Web/trunk/pspaWT/src/elementInitialBeam.cc	(revision 102)
@@ -14,4 +14,5 @@
       nbParam_ = 6;
       parametersString_ = new string[nbParam_+1];
+      parmelaOk_ = true;
     }
 