Index: Interface_Web/trunk/pspaWT/include/GWt_LigneFaisceau.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_LigneFaisceau.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_LigneFaisceau.h	(revision 113)
@@ -3,9 +3,9 @@
 
 #include "dataManager.h"
+#include "abstractElement.h"
+#include "nomdElements.h"
 #include "GWt_pspaApplication.h"
-#include "abstractElement.h"
 
 #include <Wt/WApplication>
-
 #include <Wt/WPushButton>
 #include <Wt/WHBoxLayout>
@@ -13,26 +13,26 @@
 #include <Wt/WImage>
 
+using namespace Wt;
 
-
-
-
-
-using namespace Wt;
+class Compteur {
+  int n_;
+ 
+public :
+ Compteur() {n_= 0;}
+ int incr() {return ++n_;}
+};
 
 class GWt_LigneFaisceau : public WContainerWidget
 {
+  WHBoxLayout* beamLayout_;
+  PspaApplication* pspa_;
+  Compteur *nObjets_[nElements];
 
-  //  WVBoxLayout* tempVBox_;
-  WHBoxLayout* beamLayout_;
-  //  dataManager* dtmanage_;
-  PspaApplication* pspa_;
-
-public:
+ public :
   GWt_LigneFaisceau(PspaApplication*);
   void restoreElementCollection();
-private:
+
+ private :
   void dropEvent(WDropEvent evt);
-
-
 };
 
Index: Interface_Web/trunk/pspaWT/include/GWt_abstractElement.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_abstractElement.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_abstractElement.h	(revision 113)
@@ -28,5 +28,4 @@
 
   GWt_abstractElement() {;}
-  void setLabel(abstractElement* elem,int n);
 
  public :
@@ -36,4 +35,5 @@
   void clicked();
   void doubleClicked();
+  void setLabel(int n);
   WPushButton* getButton();
   WContainerWidget* getWidget();
Index: Interface_Web/trunk/pspaWT/include/GWt_bend.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_bend.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_bend.h	(revision 113)
@@ -15,5 +15,4 @@
 class GWt_bend : public GWt_abstractElement
 {
-  static int nObjets_;
   WLineEdit* angleEdit_; // deg.
   WLineEdit* radiusEdit_; // m
Index: Interface_Web/trunk/pspaWT/include/GWt_cell.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_cell.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_cell.h	(revision 113)
@@ -15,5 +15,4 @@
 class GWt_cell : public GWt_abstractElement
 {
-  static int nObjets_;
   WLineEdit* lenghtElemEdit_; // cm
   WLineEdit* apertureEdit_; // cm
Index: Interface_Web/trunk/pspaWT/include/GWt_drift.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_drift.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_drift.h	(revision 113)
@@ -15,5 +15,4 @@
 class GWt_drift : public GWt_abstractElement
 {
-  static int nObjets_;
   WLineEdit* xlengthEdit_;
   WLineEdit* apertureEdit_;
Index: Interface_Web/trunk/pspaWT/include/GWt_initialBeam.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_initialBeam.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_initialBeam.h	(revision 113)
@@ -16,5 +16,4 @@
 class GWt_initialBeam : public GWt_abstractElement
 {
-  static int nObjets_;
   WLineEdit* nmacropEdit_;
   WLineEdit* sigma_tEdit_; // picoseconds
Index: Interface_Web/trunk/pspaWT/include/GWt_pspaApplication.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_pspaApplication.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_pspaApplication.h	(revision 113)
@@ -2,5 +2,4 @@
 #define  PSPA_SEEN
 
-//#include <string>
 #include <list>
 
@@ -16,5 +15,4 @@
 
 using namespace Wt;
-//using namespace std;
 
 /*
Index: Interface_Web/trunk/pspaWT/include/GWt_soleno.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/GWt_soleno.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/GWt_soleno.h	(revision 113)
@@ -15,5 +15,4 @@
 class GWt_soleno : public  GWt_abstractElement
 {
-  static int nObjets_;
   WLineEdit* xlengthEdit_;
   WLineEdit* apertureEdit_;
Index: Interface_Web/trunk/pspaWT/include/nomdElements.h
===================================================================
--- Interface_Web/trunk/pspaWT/include/nomdElements.h	(revision 112)
+++ Interface_Web/trunk/pspaWT/include/nomdElements.h	(revision 113)
@@ -8,3 +8,5 @@
 } nomdElement;
 
+#define nElements 5
+
 #endif