Index: Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 265)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 265)
@@ -0,0 +1,73 @@
+#ifndef GWt_elementLigneFaisceau_SEEN
+#define GWt_elementLigneFaisceau_SEEN
+
+#include "GWt_dialog.h"
+#include "GWt_pspaApplication.h"
+#include "abstractElement.h"
+#include "GWt_abstractElement.h"
+#include "GWt_dropZoneLigneFaisceau.h"
+
+#include <Wt/WContainerWidget>
+
+using namespace Wt;
+
+
+class GWt_elementLigneFaisceau : public WContainerWidget
+{
+ public : 
+  /**
+     dropZone element
+     a drop zone is the basic element for a widget in the ligne faisceau drop zone area
+     it should be like this :
+
+     +----------+--------+---------+
+     |   (--->) |  ELEM  | (-----) |
+     +----------+--------+---------+
+     |             NAME            |
+     +----------+--------+---------+
+     ELEM : Element representation, draggable object
+     (----) and (---->) : Droppable zone, contain arrows or line if this element is connected to another
+     NAME : editable element name
+
+    At first time, the ELEM element is replace by a message.
+
+    @param pspa : application name
+    @param linkImage : true/false if the drop zone have to display the link image
+    @param showInsertMessage : true/false if it has to display the insertMessage at first step
+   */
+
+  GWt_elementLigneFaisceau();
+  GWt_elementLigneFaisceau(abstractElement*);
+
+  ~GWt_elementLigneFaisceau();
+  void addElement(GWt_abstractElement* elem);
+
+  inline WText* getElementName() {
+    return elementName_;
+  }
+
+  inline WText* getElementIcon() {
+    return elementName_;
+  }
+
+    void setElementName(std::string label);
+
+private:
+
+  void onClick(GWt_abstractElement*);
+  void removeDone(GWt_abstractElement*); 
+  std::string getElementNumberInBeamLine(nomdElements el);
+  void removeOtherDropZone(GWt_elementLigneFaisceau*);
+  void initialize_ligneFaisceau(abstractElement*);
+  PspaApplication* pspa_;
+  GWt_dialog* messageDropZone_;
+  WText* firstTimeInsertMessage_;
+
+  GWt_dropZoneLigneFaisceau* arrowImage_;
+  WContainerWidget* dragElementZone_;
+  GWt_dropZoneLigneFaisceau* lineImage_;
+  WText* elementName_;
+
+  GWt_abstractElement* abstractElement_;
+};
+#endif
Index: Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 264)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 265)
@@ -1,5 +1,5 @@
 #include <iostream>
 
-#include "GWt_elementLigneFaiseau.h"
+#include "GWt_elementLigneFaisceau.h"
 #include "nomdElements.h"
 #include "GWt_console.h"
@@ -25,5 +25,5 @@
 #define PSPA_DEBUG 1
 
-GWt_elementLigneFaiseau::GWt_elementLigneFaiseau()
+GWt_elementLigneFaisceau::GWt_elementLigneFaisceau()
   : WContainerWidget(),
     firstTimeInsertMessage_(NULL),
@@ -36,5 +36,5 @@
 
 
-GWt_elementLigneFaiseau::GWt_elementLigneFaiseau(abstractElement* abstractElement)
+GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(abstractElement* abstractElement)
   : WContainerWidget(),
     firstTimeInsertMessage_(NULL),
@@ -48,8 +48,8 @@
 
 
-void GWt_elementLigneFaiseau::initialize_ligneFaisceau(abstractElement* abstractElement)
-{
-    
-    cout<<"new GWt_elementLigneFaiseau : "<< this << endl;
+void GWt_elementLigneFaisceau::initialize_ligneFaisceau(abstractElement* abstractElement)
+{
+    
+    cout<<"new GWt_elementLigneFaisceau : "<< this << endl;
     
     // set layout
@@ -147,10 +147,10 @@
 
 
-GWt_elementLigneFaiseau::~GWt_elementLigneFaiseau()
-{
-}
-
-
-void GWt_elementLigneFaiseau::onClick(GWt_abstractElement* gw)
+GWt_elementLigneFaisceau::~GWt_elementLigneFaisceau()
+{
+}
+
+
+void GWt_elementLigneFaisceau::onClick(GWt_abstractElement* gw)
 {
   cout << "mouse key was double clicked on this widget " << gw->getWidget()->id()<< endl;
@@ -159,5 +159,5 @@
 
   WSignalMapper<GWt_abstractElement *> *MyMap = new WSignalMapper<GWt_abstractElement *>(this);
-  MyMap->mapped().connect(this, &GWt_elementLigneFaiseau::removeDone);
+  MyMap->mapped().connect(this, &GWt_elementLigneFaisceau::removeDone);
   MyMap->mapConnect(messageDropZone_->finished(),gw);
   messageDropZone_->exec();
@@ -165,5 +165,5 @@
 
 
-void GWt_elementLigneFaiseau::removeDone(GWt_abstractElement* gw)
+void GWt_elementLigneFaisceau::removeDone(GWt_abstractElement* gw)
 {
   if (messageDropZone_->result() == WDialog::Accepted) {    
@@ -175,5 +175,5 @@
 
 
-void GWt_elementLigneFaiseau::removeOtherDropZone(GWt_elementLigneFaiseau* other)
+void GWt_elementLigneFaisceau::removeOtherDropZone(GWt_elementLigneFaisceau* other)
 {
   // 3 cases :
@@ -188,5 +188,5 @@
   if ( static_cast<GWt_console*> (wApp->findWidget ("console"))) {
     GWt_console* console = static_cast<GWt_console*> (wApp->findWidget ("console"));
-    console->addConsoleMessage("GWt_elementLigneFaiseau::mouseOut");
+    console->addConsoleMessage("GWt_elementLigneFaisceau::mouseOut");
     console->addConsoleMessage("remove from drag Zone");
   }
@@ -236,5 +236,5 @@
 
 
-void GWt_elementLigneFaiseau::addElement(GWt_abstractElement* elem){
+void GWt_elementLigneFaisceau::addElement(GWt_abstractElement* elem){
 
   clear();
@@ -252,5 +252,5 @@
 }
 
-std::string GWt_elementLigneFaiseau::getElementNumberInBeamLine(nomdElements elem){
+std::string GWt_elementLigneFaisceau::getElementNumberInBeamLine(nomdElements elem){
   string str = "";
   
@@ -292,5 +292,5 @@
 }
 
-void GWt_elementLigneFaiseau::setElementName(std::string label) {
+void GWt_elementLigneFaisceau::setElementName(std::string label) {
     elementName_->setText(label);
 }