Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 266)
+++ /Interface_Web/trunk/pspaWT/History	(revision 267)
@@ -5,4 +5,7 @@
      PSPA - Plateforme de simulation en physique des accélérateurs
      =========================================================
+
+23 Janvier 2012  Laurent Garnier
+- quelques renommages et améliorations sur la drop zone
 
 22 Janvier 2012  Laurent Garnier
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_abstractElement.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_abstractElement.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_abstractElement.h	(revision 267)
@@ -20,5 +20,4 @@
  protected : 
 
-  //  PspaApplication* pspa_;
   abstractElement* abstractElement_;
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_bend.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_bend.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_bend.h	(revision 267)
@@ -2,5 +2,4 @@
 #define GWT_BEND_SEEN
 
-//#include "GWt_pspaApplication.h"
 #include "GWt_abstractElement.h"
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_drift.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_drift.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_drift.h	(revision 267)
@@ -2,5 +2,4 @@
 #define GRAPHDRIFTELEMENT_SEEN
 
-//#include "GWt_pspaApplication.h"
 #include "GWt_abstractElement.h"
 #include "abstractElement.h"
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 267)
@@ -3,5 +3,4 @@
 
 #include "GWt_dialog.h"
-#include "GWt_pspaApplication.h"
 #include "abstractElement.h"
 #include "GWt_abstractElement.h"
@@ -31,8 +30,4 @@
 
     At first time, the ELEM element is replace by a message.
-
-    @param pspa : application name
-    @param linkImage : true/false if the drop zone have to display the link image
-    @param showInsertMessage : true/false if it has to display the insertMessage at first step
    */
 
@@ -60,5 +55,4 @@
   void removeOtherDropZone(GWt_elementLigneFaisceau*);
   void initialize_ligneFaisceau(abstractElement*);
-  PspaApplication* pspa_;
   GWt_dialog* messageDropZone_;
   WText* firstTimeInsertMessage_;
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_fit.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_fit.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_fit.h	(revision 267)
@@ -2,5 +2,4 @@
 #define GWT_FIT_SEEN
 
-//#include "GWt_pspaApplication.h"
 #include "GWt_abstractElement.h"
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_rfgun.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_rfgun.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_rfgun.h	(revision 267)
@@ -2,5 +2,4 @@
 #define GWT_RFGUN_SEEN
 
-//#include "GWt_pspaApplication.h"
 #include "GWt_abstractElement.h"
 #include "abstractElement.h"
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_soleno.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_soleno.h	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_soleno.h	(revision 267)
@@ -4,5 +4,4 @@
 #include <Wt/WCheckBox>
 
-//#include "GWt_pspaApplication.h"
 #include "GWt_abstractElement.h"
 #include "abstractElement.h"
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc	(revision 267)
@@ -24,5 +24,4 @@
   : WContainerWidget()
 {
-  //  pspa_ = ps;
   abstractElement_ = elem;
     elementLigneFaiseauContainer_ = elemLigne;
@@ -113,4 +112,5 @@
   }
 */
+    return NULL;
 }
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc	(revision 267)
@@ -23,5 +23,5 @@
   mouseDragged().connect(this, &GWt_dropZoneLigneFaisceau::mouseIsDragged);
 
-  decorationStyle().setBorder (WBorder (WBorder::Dotted));
+//  decorationStyle().setBorder (WBorder (WBorder::Dotted));
 
   // accept drops
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 267)
@@ -22,6 +22,7 @@
 #include <Wt/WLength>
 #include <Wt/WVBoxLayout>
-
-#define PSPA_DEBUG 1
+#include <Wt/WApplication>
+
+// #define PSPA_DEBUG 1
 
 GWt_elementLigneFaisceau::GWt_elementLigneFaisceau()
@@ -32,5 +33,8 @@
     abstractElement_(NULL)
 {
-  initialize_ligneFaisceau(NULL);
+    // set the css name
+    setObjectName("elementLigneFaisceau");
+
+    initialize_ligneFaisceau(NULL);
 }
 
@@ -62,4 +66,8 @@
     WGridLayout *gridLayout = new WGridLayout();
     
+    gridLayout->setContentsMargins(0,0,0,0);
+    gridLayout->setHorizontalSpacing	(0);
+    gridLayout->setVerticalSpacing	(0);
+
     // add first line :  initialize arrow and link images
     arrowImage_ = new GWt_dropZoneLigneFaisceau();
@@ -70,9 +78,10 @@
     arrowImage_->setStyleClass("elementLigneFaiseau_line");
     lineImage_->setStyleClass("elementLigneFaiseau_line");
+    lineImage_->resize(10,30);
     
     
     WContainerWidget* arrow = new WContainerWidget();
     new WImage(arrow);
-    arrow->resize(11,30);
+    arrow->resize(10,30);
     
     arrow->setStyleClass("elementLigneFaiseau_arrow");
@@ -127,5 +136,5 @@
      gridLayout->addWidget	(elementName_,1,0,1,3);
     
-    decorationStyle().setBorder (WBorder (WBorder::Dotted));
+//    decorationStyle().setBorder (WBorder (WBorder::Dotted));
     
     // first insert message
@@ -230,7 +239,7 @@
 
   
-	// FIXME ne mas passer par un label mais par un abstrastElement
+	// FIXME ne pas passer par un label mais par un abstrastElement
 	//  pspa_->getDataManager()->getCollection()->eraseElement(label);
-	pspa_->updateSelections();
+//	pspa_->updateSelections();
 }
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 266)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 267)
@@ -25,6 +25,7 @@
   ligneFaisceauLayout_ = new WHBoxLayout();
   //  decorationStyle().setBackgroundColor (WColor(245,245,245)); 
-  setStyleClass("ligneFaisceau");
   setLayout(ligneFaisceauLayout_);
+    ligneFaisceauLayout_->setContentsMargins(0,0,0,0);
+    ligneFaisceauLayout_->setSpacing	(0);
 
   int nElts= nomdElements::getNumberOfElements(); 
@@ -35,6 +36,5 @@
 
   // add the first drop zone
-  ligneFaisceauLayout_->addWidget(new GWt_elementLigneFaisceau());
-
+  addElement(inconnu);
     // add a last element to push everything
     ligneFaisceauLayout_->addWidget(new WText("") , 1,Wt::AlignMiddle);
@@ -95,5 +95,8 @@
 void GWt_LigneFaisceau::addElement(typedElement eType){
 
-
+    // if it is the first element
+    if (eType == inconnu) {
+        ligneFaisceauLayout_->addWidget(new GWt_elementLigneFaisceau());
+    } else {
   abstractElement* ptr = pspa_->getDataManager()->addElement(eType);
 
@@ -106,4 +109,5 @@
 //  ligneFaisceauLayout_->addWidget(new GWt_elementLigneFaiseau(ptr),0);
   ligneFaisceauLayout_->insertWidget(ligneFaisceauLayout_->count()-1,new GWt_elementLigneFaisceau(ptr),0);
+    }
 }
 