Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 305)
+++ /Interface_Web/trunk/pspaWT/History	(revision 306)
@@ -6,4 +6,7 @@
      =========================================================
 
+4 Février 2013 Laurent Garnier
+- Suppression de la classe "elementsCollection"
+ 
 1er Février 2013 Laurent Garnier
 - Suppression de la classe "elementsCollection", celle-ci stockait le contenu de
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/abstractSoftware.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/abstractSoftware.h	(revision 305)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/abstractSoftware.h	(revision 306)
@@ -2,5 +2,4 @@
 #define ABSTRACTSOFTWARE_SEEN
 
-#include "elementsCollection.h"
 #include "globalParameters.h"
 #include "particleBeam.h"
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 305)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 306)
@@ -3,5 +3,4 @@
 
 #include "abstractElement.h"
-#include "elementsCollection.h"
 #include "globalParameters.h"
 #include "nomdElements.h"
@@ -23,7 +22,6 @@
     virtual ~dataManager();
     
-    inline int getBeamLineSize();
+    int getBeamLineSize();
     inline globalParameters* getGlobalParameters()  {return &globParam_;}
-//    inline elementsCollection* getCollection() {return &elementsGallery_;}
     inline particleBeam* getCurrentBeam() {return currentBeam_;}
     
@@ -60,5 +58,4 @@
     
 private:
-    //    elementsCollection elementsGallery_;
     globalParameters globParam_;
     particleBeam* currentBeam_;
Index: terface_Web/trunk/pspaWT/sources/controler/include/elementsCollection.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/elementsCollection.h	(revision 305)
+++ 	(revision )
@@ -1,34 +1,0 @@
-#ifndef ELEMENTSCOLLECTION_SEEN
-#define ELEMENTSCOLLECTION_SEEN
-
-
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include "abstractElement.h"
-#include "nomdElements.h"
-
-class elementsCollection
-{
-
-  vector <abstractElement*> elements_;
-
- public :
-
-  elementsCollection() {;}
-  ~elementsCollection();
-
-  void raz();
-  unsigned size() const;  
-  abstractElement* addElement(typedElement elemType);
-  abstractElement* getElementPointer(string label) const;
-  abstractElement* getElementPointerFromIndex(unsigned int index) const;
-  abstractElement* getElementPointerFromNumero(int num) const;
-
-  int getNumeroFromElementLabel(string lab);
-
-  void eraseElement(string label);
-
-};
-#endif
Index: terface_Web/trunk/pspaWT/sources/controler/src/elementsCollection.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/elementsCollection.cc	(revision 305)
+++ 	(revision )
@@ -1,137 +1,0 @@
-
-#include <algorithm>
-
-#include "elementsCollection.h"
-#include "elementDrift.h"
-#include "elementRfgun.h"
-#include "elementCell.h"
-#include "elementSoleno.h"
-#include "elementBend.h"
-#include "elementBeam.h"
-#include "elementFit.h"
-
-elementsCollection::~elementsCollection() 
-{
-  unsigned int k;
-  for(k = 0; k < elements_.size(); k++) {
-    if ( elements_[k] != NULL ) delete elements_[k];
-  }
-}
-
-void elementsCollection::raz()
-{
-  unsigned int k;
-  for(k = 0; k < elements_.size(); k++) {
-    if ( elements_[k] != NULL ) delete elements_[k];       
-  }
-  elements_.clear();
-}
-  
-unsigned elementsCollection::size() const
-{ 
-  return elements_.size();
-}
-  
-abstractElement* elementsCollection::addElement(typedElement elemType) {
-  switch ( elemType ) {
-  case RFgun : {
-    elements_.push_back(new elementRfgun());
-    break;
-  }
-  case drift : {
-    elements_.push_back(new elementDrift());
-    break;
-  }
-  case cell : {
-    elements_.push_back(new elementCell());
-    break;
-  }
-  case soleno : {
-    elements_.push_back(new elementSoleno());
-    break;
-  }
-  case bend : {
-    elements_.push_back(new elementBend());
-    break;
-  }
-  case beam : {
-    elements_.push_back(new elementBeam());
-    break;
-  }
-  case fit : {
-    elements_.push_back(new elementFit());
-    break;
-  }
-  default : {
-    cerr << " elementsCollection::addElement : ERROR unknown type of element : " << elemType << endl;
-    return NULL;
-  }
-  }
-  return elements_.back();
-}
-
-abstractElement* elementsCollection::getElementPointer(string label) const
-{
-  unsigned int k;
-  for (k = 0; k < elements_.size() ; k++) {
-    if ( elements_[k]->getLabel() == label ) return elements_[k]; 	 
-  }
-  std::cerr << " elementsCollection::getElementPointer() : unknown element label: " << label << std::endl;
-  return NULL;
-}
-
-// un numero va de 1 Ã  l'infini
-abstractElement* elementsCollection::getElementPointerFromNumero(int num) const
-{
-  if ( num > (int)elements_.size() || num <= 0) 
-    { 
-      return NULL;
-    }
-  else 
-    {
-      return elements_[num-1]; 	 
-    }
-}
-
-abstractElement* elementsCollection::getElementPointerFromIndex(unsigned int index) const
-{
-  if ( index >= elements_.size() ) return NULL;
-  else  return elements_[index]; 	 
-}
-
-int elementsCollection::getNumeroFromElementLabel(string lab)
-{
-  unsigned int k;
-  int klab = -1;
-  for (k = 0; k < elements_.size() ; k++) 
-    {
-      if ( elements_[k]->getLabel() == lab ) 
-	{
-	  klab = (int)k + 1;
-	  break;
-	} 	 
-    }
-    return klab;
-}
-
-
-void elementsCollection::eraseElement(string label)
-{
-  abstractElement* ptr = NULL;
-  unsigned int k;
-  for (k = 0; k < elements_.size() ; k++) {
-    if ( elements_[k]->getLabel() == label ) {
-      ptr = elements_[k];
-      break; 	 
-    }
-  }
-
-  if(ptr == NULL) {
-    std::cerr << " elementsCollection::eraseElement() : unknown element label: " << label << std::endl;
-    return;
-  } else {
-    vector<abstractElement*>::iterator j;
-    j= find(elements_.begin(),elements_.end(),ptr);
-    elements_.erase(j--);
-  }
-}