Index: Interface_Web/trunk/pspaWT/History
===================================================================
--- Interface_Web/trunk/pspaWT/History	(revision 328)
+++ Interface_Web/trunk/pspaWT/History	(revision 329)
@@ -5,4 +5,8 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+
+19 Février 2013 Laurent Garnier
+- Creation de 2 librairies dans le requirement au lieu d'une seule
+
 18 Février 2013 Francois Touze
 - réorganisation du menu graphique (radio bouton pour choisir un type de dessin, push bouton pour la visu)
@@ -13,4 +17,5 @@
 - Correction du bug #15
 - Correction du bug #37
+- Suppression de $(PSPAWTROOT) pour trouver les packages dans "Interfaces", désormais il faut mettre à jour son $CMTPATH pour qu'il pointe sur "Interfaces"
 
 12 Février 2013 Laurent Garnier
Index: Interface_Web/trunk/pspaWT/cmt/requirements
===================================================================
--- Interface_Web/trunk/pspaWT/cmt/requirements	(revision 328)
+++ Interface_Web/trunk/pspaWT/cmt/requirements	(revision 329)
@@ -12,5 +12,5 @@
 include_dirs $(PSPAWTROOT)/sources/userInterface/include  $(PSPAWTROOT)/sources/controler/include
 
-library PSPSLib   \
+library PSPA_controlerLib   \
  ../sources/controler/src/bareParticle.cc \
  ../sources/controler/src/particleBeam.cc \
@@ -32,5 +32,15 @@
  ../sources/controler/src/softwareTransport.cc \
  ../sources/controler/src/softwareGenerator.cc \
- ../sources/controler/src/softwareTest.cc \
+ ../sources/controler/src/softwareTest.cc 
+
+
+macro lib_PSPA_controlerLib_cppflags " ${Wt_cflags} ${boost_cflags} -DTHREADED -DDRAWWT_BUILD -DPSPA_DEBUG"
+
+macro PSPA_controlerLib_shlibflags   " ${PSPA_userInterfaceLib_linkopts}  ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
+
+macro PSPA_controlerLib_linkopts     " -L${PSPAWTROOT}/${Platform_bin} -lPSPA_controlerLib "
+
+
+library PSPA_userInterfaceLib   \
  ../sources/userInterface/src/GWt_cell.cc \
  ../sources/userInterface/src/GWt_rfgun.cc \
@@ -50,22 +60,25 @@
  ../sources/userInterface/src/GWt_abstractElementFactory.cc \
  ../sources/userInterface/src/GWt_softwarePanel.cc \
- ../sources/userInterface/src/GWt_draggableImage.cc
+ ../sources/userInterface/src/GWt_draggableImage.cc \
+ ../sources/userInterface/src/GWt_serverFileSelector
+
+
+macro lib_PSPA_userInterfaceLib_cppflags " ${Wt_cflags} ${boost_cflags} -DTHREADED -DDRAWWT_BUILD -DPSPA_DEBUG"
+
+macro PSPA_userInterfaceLib_shlibflags   " ${PSPA_controlerLib_linkopts} ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
+
+macro PSPA_userInterfaceLib_linkopts     " -L${PSPAWTROOT}/${Platform_bin} -lPSPA_userInterfaceLib "
 
 
 
-#macro lib_PSPSLib_cppflags " ${Wt_cflags} ${boost_cflags} -DTHREADED -DDRAWWT_BUILD  -DHAS_IMAGEMAGIC -DPSPA_DEBUG"
-macro lib_PSPSLib_cppflags " ${Wt_cflags} ${boost_cflags} -DTHREADED -DDRAWWT_BUILD -DPSPA_DEBUG"
 
-macro PSPSLib_shlibflags   " ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
+macro_append pspaWT_cppflags "${lib_PSPA_controlerLib_cppflags} ${lib_PSPA_userInterfaceLib_cppflags}"
+macro_append pspaWTlinkopts "${PSPA_controlerLib_linkopts} ${PSPA_userInterfaceLib_linkopts} ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
 
-macro PSPSLib_linkopts     " -L${PSPAWTROOT}/$(Platform_bin) -lPSPSLib "
-
-macro_append pspaWT_cppflags "${lib_PSPSLib_cppflags}"
-macro_append pspaWTlinkopts "${PSPSLib_linkopts} ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
-
-macro pspaWT_linkopts " ${PSPSLib_linkopts} ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
+macro pspaWT_linkopts " ${PSPA_controlerLib_linkopts} ${PSPA_userInterfaceLib_linkopts} ${Wt_linkopts} ${boost_linkopts} ${dld_linkopts}"
 
 application pspaWT ../sources/controler/src/main.cc
-macro_append pspaWT_dependencies " PSPSLib"
+macro_append pspaWT_dependencies " PSPA_controlerLib PSPA_userInterfaceLib"
+
 
 # DEBUG :
@@ -79,4 +92,4 @@
 #macro_append cpplinkflags  " -O" WIN32 ""
 
-path_append DYLD_LIBRARY_PATH "${PSPAWTROOT}/$(Platform_bin)" 
-path_append LD_LIBRARY_PATH "${PSPAWTROOT}/$(Platform_bin)" 
+path_append DYLD_LIBRARY_PATH "${PSPAWTROOT}/${Platform_bin}" 
+path_append LD_LIBRARY_PATH "${PSPAWTROOT}/${Platform_bin}" 